# class KToggleAction | Checkbox like action. More...
Definition | `#include <kaction.h>`
Inherits | KAction [public ]
Inherited by | KRadioAction
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KToggleAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KToggleAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KToggleAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KToggleAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KToggleAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KToggleAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KToggleAction ( QObject* parent = 0, const char* name = 0 )
- virtual ~KToggleAction ()
- virtual int plug ( QWidget*, int index = -1 )
- bool isChecked () const
- virtual QString exclusiveGroup () const

#### Public Slots

- virtual void setExclusiveGroup ( const QString& name )
- virtual void setChecked ( bool )

#### Signals

- void toggled ( bool )

#### Protected Methods

- virtual void setChecked ( int id, bool checked )

#### Protected Slots

- virtual void slotActivated ()

## Detailed Description

Checkbox like action.

This action provides two states: checked or not.

KToggleAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KToggleAction

Construct a toggle action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing.

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KToggleAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KToggleAction

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KToggleAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KToggleAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KToggleAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KToggleAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KToggleAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KToggleAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KToggleAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KToggleAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KToggleAction ( QObject* parent = 0, const char* name = 0 ) | ### KToggleAction

Parameters:

parent | This action's parent.
name | An internal name for this action.

~KToggleAction () | ### ~KToggleAction

[virtual]

Destructor

int plug ( QWidget*, int index = -1 ) | ### plug

[virtual]

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KToggleAction object.

Parameters:

widget | The GUI element to display this action.
index | The index of the item.

Reimplemented from KAction.

bool isChecked () | ### isChecked

[const]

Retrieves the actual state of the action.

QString exclusiveGroup () | ### exclusiveGroup

[const virtual]

void setExclusiveGroup ( const QString& name ) | ### setExclusiveGroup

[virtual slot]

void setChecked ( bool ) | ### setChecked

[virtual slot]

Sets the state of the action.

void slotActivated () | ### slotActivated

[protected slots virtual slot]

Reimplemented from KAction.

void setChecked ( int id, bool checked ) | ### setChecked

[protected virtual]

void toggled ( bool ) | ### toggled

[signal]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.